<mat-card *ngIf="bungalows !== undefined">
  <h2 style="display: inline-block; margin-left: 40%">Liste des bungalows
    <mat-icon>home</mat-icon>
  </h2>
  <button (click)="showFormNew=true;" color="primary" mat-raised-button style="float: right">
    <mat-icon>edit</mat-icon>
    Nouveau
  </button>
  <button class="marginButton" (click)="exportCsvBungalow()" color="primary" mat-raised-button style="float: right">
    <mat-icon>arrow_downward</mat-icon>
    Télécharger liste bungalow
  </button>
  <div *ngIf="showFormNew">
    <app-bungalow-edit (out)="new($event)">
      <button (click)="showFormNew=false" color="secondary" mat-raised-button>Annuler</button>
    </app-bungalow-edit>
  </div>
  <table>
    <thead>
    <tr>
      <th>Nom</th>
      <th>Bus</th>
      <th>Places</th>
      <th>Sexe</th>
    </tr>
    </thead>
    <tr *ngFor="let bun of bungalows">
      <td>
        <button color="primary" mat-button routerLink="/wei/bungalow/{{bun.id}}">{{bun.nom}}</button>
      </td>
      <td>
        <button color="accent" mat-button routerLink="/wei/bus/{{bun.bus}}">N°{{bun.bus}}</button>
      </td>
      <td>{{bun.places_occupees}}/{{bun.places}}</td>
      <td>
        <mat-chip-list>
          <mat-chip *ngIf="bun.genre=='W'" color="accent" selected>Femme</mat-chip>
          <mat-chip *ngIf="bun.genre=='M'" color="primary" selected>Homme</mat-chip>
          <mat-chip *ngIf="bun.genre=='I'" color="warn" selected>Mixte</mat-chip>
        </mat-chip-list>
      </td>
    </tr>
  </table>
</mat-card>
